/*
 * Asynchronous Engine .
 *
 * Copyright (C) 2004 Claude Hussenet
 * Contact : chussenet@yahoo.com
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.asynchronous;

/**
 *
 * @version <tt>$Revision: 1.4.4.3 $</tt>
 * @author  <a href="mailto:chussenet@yahoo.com">{Claude Hussenet Independent Consultant}</a>.
 */

public class BusinessModelWithStaticCleanupWithParameters
	extends BusinessModel {
	public BusinessModelWithStaticCleanupWithParameters() {}
	public BusinessModelWithStaticCleanupWithParameters(long sleepTime) {
		super(sleepTime);
	}
 	/**
 	 * @@org.jboss.aspects.asynchronous.aspects.jboss.Asynchronous
 	 */
	static public long processBusinessModel4(
		long aSleepTime,
		Parameter parameter) {
		sleep(aSleepTime);
		return aSleepTime;
	}
	static public void cleanup(long sleepTime, Parameter parameter) {
		parameter.bCleanupCalled = true;
	}
}
